/* -*- c -*- */
#include <gsl/gsl_sf_debye.h>
#include "nxp_kernel.h"
#include "gsl.h"

/*
 * STATUS: Done 
 */

static NxpElement *nxp_gsl_sf_debye_1(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_debye_1(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_debye_2(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_debye_2(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_debye_3(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_debye_3(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_debye_4(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_debye_4(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}


void
nxp_gsl_sf_debye_init(NxpEvalContext * context)
{
    NxpIdentifier  *id;
nxp_name_space_new(context->cwd,"gsl");
nxp_name_space_new(nxp_name_space_find_child(context->cwd,"gsl"),"debye");
id = nxp_identifier_new_with_full_path(3,"gsl","debye", "debye1");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_debye_1, NULL, nxp_gsl_sf_debye_1, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","debye", "debye2");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_debye_2, NULL, nxp_gsl_sf_debye_2, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","debye", "debye3");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_debye_3, NULL, nxp_gsl_sf_debye_3, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","debye", "debye4");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_debye_4, NULL, nxp_gsl_sf_debye_4, context, NULL); nxp_identifier_unref(id);
}
