/* -*- c -*- */
#include <gsl/gsl_sf_transport.h>
#include "nxp_kernel.h"
#include "gsl.h"


static NxpElement *nxp_gsl_sf_transport_2(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_transport_2(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_transport_3(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_transport_3(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_transport_4(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_transport_4(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_transport_5(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_transport_5(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}


void
nxp_gsl_sf_transport_init(NxpEvalContext * context)
{
    NxpIdentifier  *id;
nxp_name_space_new(context->cwd,"gsl");
nxp_name_space_new(nxp_name_space_find_child(context->cwd,"gsl"),"transport");
id = nxp_identifier_new_with_full_path(3,"gsl","transport", "transport2");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_transport_2, NULL, nxp_gsl_sf_transport_2, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","transport", "transport3");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_transport_3, NULL, nxp_gsl_sf_transport_3, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","transport", "transport4");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_transport_4, NULL, nxp_gsl_sf_transport_4, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","transport", "transport5");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_transport_5, NULL, nxp_gsl_sf_transport_5, context, NULL); nxp_identifier_unref(id);
}
