/*-*- c -*-*/
#include <gsl/gsl_sf_coupling.h>
#include "nxp_kernel.h"
#include "gsl.h"

/*
 * STATUS: done 
 */

static NxpElement *nxp_gsl_sf_coupling_3j(NxpElementInt *arg1 ,NxpElementInt *arg2 ,NxpElementInt *arg3 ,NxpElementInt *arg4 ,NxpElementInt *arg5 ,NxpElementInt *arg6, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_coupling_3j(nxp_element_int_get_si(NXP_ELEMENT_INT(arg1), error) ,nxp_element_int_get_si(NXP_ELEMENT_INT(arg2), error) ,nxp_element_int_get_si(NXP_ELEMENT_INT(arg3), error) ,nxp_element_int_get_si(NXP_ELEMENT_INT(arg4), error) ,nxp_element_int_get_si(NXP_ELEMENT_INT(arg5), error) ,nxp_element_int_get_si(NXP_ELEMENT_INT(arg6), error));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_coupling_6j(NxpElementInt *arg1 ,NxpElementInt *arg2 ,NxpElementInt *arg3 ,NxpElementInt *arg4 ,NxpElementInt *arg5 ,NxpElementInt *arg6, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_coupling_6j(nxp_element_int_get_si(NXP_ELEMENT_INT(arg1), error) ,nxp_element_int_get_si(NXP_ELEMENT_INT(arg2), error) ,nxp_element_int_get_si(NXP_ELEMENT_INT(arg3), error) ,nxp_element_int_get_si(NXP_ELEMENT_INT(arg4), error) ,nxp_element_int_get_si(NXP_ELEMENT_INT(arg5), error) ,nxp_element_int_get_si(NXP_ELEMENT_INT(arg6), error));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_coupling_9j(NxpElementInt *arg1 ,NxpElementInt *arg2 ,NxpElementInt *arg3 ,NxpElementInt *arg4 ,NxpElementInt *arg5 ,NxpElementInt *arg6 ,NxpElementInt *arg7 ,NxpElementInt *arg8 ,NxpElementInt *arg9, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_coupling_9j(nxp_element_int_get_si(NXP_ELEMENT_INT(arg1), error) ,nxp_element_int_get_si(NXP_ELEMENT_INT(arg2), error) ,nxp_element_int_get_si(NXP_ELEMENT_INT(arg3), error) ,nxp_element_int_get_si(NXP_ELEMENT_INT(arg4), error) ,nxp_element_int_get_si(NXP_ELEMENT_INT(arg5), error) ,nxp_element_int_get_si(NXP_ELEMENT_INT(arg6), error) ,nxp_element_int_get_si(NXP_ELEMENT_INT(arg7), error) ,nxp_element_int_get_si(NXP_ELEMENT_INT(arg8), error) ,nxp_element_int_get_si(NXP_ELEMENT_INT(arg9), error));
	GSL_RETURN(nxp_element_real_new(ret));
}


void
nxp_gsl_sf_coupling_init(NxpEvalContext * context)
{
    NxpIdentifier  *id;
nxp_name_space_new(context->cwd,"gsl");
nxp_name_space_new(nxp_name_space_find_child(context->cwd,"gsl"),"coupling");
id = nxp_identifier_new_with_full_path(3,"gsl","coupling", "coupling3j");
 nxp_bifunc_define(id, &nxp_prototype__INT_INT_INT_INT_INT_INT, nxp_gsl_sf_coupling_3j, NULL, nxp_gsl_sf_coupling_3j, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","coupling", "coupling6j");
 nxp_bifunc_define(id, &nxp_prototype__INT_INT_INT_INT_INT_INT, nxp_gsl_sf_coupling_6j, NULL, nxp_gsl_sf_coupling_6j, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","coupling", "coupling9j");
 nxp_bifunc_define(id, &nxp_prototype__INT_INT_INT_INT_INT_INT_INT_INT_INT, nxp_gsl_sf_coupling_9j, NULL, nxp_gsl_sf_coupling_9j, context, NULL); nxp_identifier_unref(id);
}
