/*-*- c -*-*/
#include <gsl/gsl_poly.h>
#include "nxp_kernel.h"
#include "gsl.h"
#include "types/vector.h"

/*
 * STATUS: Done 
 */


static NxpElement *nxp_gsl_sf_expint_E1(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_expint_E1(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_expint_E2(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_expint_E2(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_expint_Ei(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_expint_Ei(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_Shi(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_Shi(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_Chi(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_Chi(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_expint_3(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_expint_3(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_Si(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_Si(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_Ci(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_Ci(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}

static NxpElement *nxp_gsl_sf_atanint(NxpElementReal *arg1, ETC)
{
	nxp_real_t ret;
	ret = gsl_sf_atanint(nxp_element_r_get_value_as_double(NXP_ELEMENT_R(arg1)));
	GSL_RETURN(nxp_element_real_new(ret));
}


void
nxp_gsl_sf_expint_init(NxpEvalContext * context)
{
    NxpIdentifier  *id;
nxp_name_space_new(context->cwd,"gsl");
nxp_name_space_new(nxp_name_space_find_child(context->cwd,"gsl"),"expInt");
id = nxp_identifier_new_with_full_path(3,"gsl","expInt", "E1");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_expint_E1, NULL, nxp_gsl_sf_expint_E1, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","expInt", "E2");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_expint_E2, NULL, nxp_gsl_sf_expint_E2, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","expInt", "Ei");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_expint_Ei, NULL, nxp_gsl_sf_expint_Ei, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","expInt", "Shi");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_Shi, NULL, nxp_gsl_sf_Shi, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","expInt", "Chi");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_Chi, NULL, nxp_gsl_sf_Chi, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","expInt", "Ei3");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_expint_3, NULL, nxp_gsl_sf_expint_3, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","expInt", "Si");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_Si, NULL, nxp_gsl_sf_Si, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","expInt", "Ci");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_Ci, NULL, nxp_gsl_sf_Ci, context, NULL); nxp_identifier_unref(id);
id = nxp_identifier_new_with_full_path(3,"gsl","expInt", "atanInt");
 nxp_bifunc_define(id, &nxp_prototype__REAL, nxp_gsl_sf_atanint, NULL, nxp_gsl_sf_atanint, context, NULL); nxp_identifier_unref(id);
}
