#include "nxp_kernel.h"
#include "functions.h"

#include "config.h"

NxpElement* stdlib_eval_im_r(NxpElementR *el, ETC)
{
    return nxp_element_int_new(0);
}

NxpElement* stdlib_eval_re_r(NxpElementR *el, ETC)
{
    return NXP_ELEMENT_REF(NXP_ELEMENT(el));
}

NxpElement* stdlib_eval_abs_r(NxpElementR *el, ETC)
{
    if (nxp_element_r_compare_int(el, 0) < 0)
	return nxp_element_r_opposed(el);
    else
	return NXP_ELEMENT_REF(NXP_ELEMENT(el));
}

NxpElement* stdlib_eval_arg_r(NxpElementR *el, ETC)
{
    if (nxp_element_r_compare_int(el, 0) < 0)
	return nxp_element_variable_new_simple("pi");
    else
	return nxp_element_int_new(0);
}
